public class Rectangle {

	//------------------------------------------------

	private int width;
	private int height;

	//------------------------------------------------

	public Rectangle(int w, int h) {
		this.width = w;
		this.height = h;
	}

	public Rectangle() {
		this(0, 0);	//call other constructor
	}

	//------------------------------------------------

	public void setWidth(int newWidth) {
		width = newWidth;
	}

	public void setHeight(int newHeight) {
		height = newHeight;
	}

	public void setToZero() {
		width = 0;
		height = 0;
	}

	//------------------------------------------------

	public int computeArea() {
		return width * height;
	}

	public int computePerimeter() {
		return 2 * (width + height);
	}

	public double computeDiagonal() {
		//Pythagorean
		int w = this.width;
		int h = this.height;
		return Math.sqrt(w*w + h*h);
	}

	//------------------------------------------------

	public static void main(String[] args) {
		Rectangle rec = new Rectangle(3, 4);
		System.out.println("Diagonal -- should be 5 for (3,4): " + rec.computeDiagonal());
		rec = new Rectangle(13, 17);
		System.out.println("Diagonal (17, 19): " + rec.computeDiagonal());
	}

}