
/*
	Screen

	Ivars:

	These are two rectangles that represent the physical display, and rendered display
		physicalDisplay
			-- the screen rectangle area we can touch with our hands
			(and could measure with a tape)
			(measured in inches)
		renderedDisplay
			-- the rendered pixels e.g. "resolution"
			-- measured in number of pixels
			-- e.g. 1024x768
				means width = 1024 pixels
				height = 768 pixels

*/

public class Screen {

	private Rectangle display;
	private Rectangle resolution;

	public Screen(int displayW, int displayH, int pixelsW, int pixelsH) {
		this.display = new Rectangle(displayW, displayH);
		this.resolution = new Rectangle(pixelsW, pixelsH);
	}

	public double computePPI() {
		//Pixels per inch (PPI) = pixels / inches
		double pixels, inches;
		pixels = this.resolution.computeDiagonal();
		inches = this.display.computeDiagonal();
		return pixels/inches;
	}

	public static void main(String[] args) {
		Screen screen = new Screen(13, 17, 1024, 768);
		prn("Display Size: 13 inches by 17 inches");
		prn("Resolution: 1024 pixels by 768 pixels");
		prn("The Pixels per inch (PPI) is: " + Math.round(screen.computePPI()));
	}

	public static void prn(Object o) {
		System.out.println(o);
	}


}